- name: Check if 1Password is installed
  ansible.builtin.command: 1password --version
  register: onepassword_check
  changed_when: false
  failed_when: false

- name: Check if 1Password is running anywhere
  ansible.builtin.command: pgrep 1password
  register: onepassword_running
  changed_when: false
  failed_when: false

- name: Kill any running 1Password instances
  ansible.builtin.command: pkill 1password
  when: onepassword_running.stdout != ""
  changed_when: onepassword_running.stdout != ""

- name: Ensure 1Password custom allowed browsers directory exists
  ansible.builtin.file:
    path: /etc/1password
    state: directory
    mode: '0755'
  become: true

- name: Add Zen browser to 1Password custom allowed browsers
  ansible.builtin.copy:
    content: |
      ZenBrowser
      zen-browser
      app.zen_browser.zen
      zen
    dest: /etc/1password/custom_allowed_browsers
    owner: root
    group: root
    mode: '0755'
  become: true

- name: If 1Password was running, restart it
  ansible.builtin.command: screen -dmS 1password 1password
  when: onepassword_running.stdout != ""
